2005 VPMAX and VPMIN

Discussion in 'AutoCAD' started by Jason Rhymes, Sep 9, 2004.

  1. Jason Rhymes

    Jason Rhymes Guest

    I've assigned "1" to open a predefined layout to VPMAX. Is there a way to
    toggle VPMAX and VPMIN from the keyboard?
    This is what I have:

    (command "layout" "new" "Model2")
    (defun c:1 ()
    (command "layout""set""Model2""_.vpmax")
    (princ)
    )
     
    Jason Rhymes, Sep 9, 2004
    #1
  2. Jason Rhymes

    C Witt Guest

    (defun c:vm () (COMMAND "vpmax") (PRINC))

    (defun c:vn () (COMMAND "vpmin") (PRINC))
     
    C Witt, Sep 9, 2004
    #2
  3. Jason Rhymes

    Jason Rhymes Guest

    I was hoping for a one button toggle or a way to assign a F* key toggle. May
    have to settle for that. Thanks
     
    Jason Rhymes, Sep 9, 2004
    #3
  4. (if (zerop (getvar "vpMaximizedState"))
    (command ".vpmax")
    (command ".vpmin")
    )
     
    Jason Piercey, Sep 9, 2004
    #4
  5. Jason Rhymes

    Jason Rhymes Guest

    Thanks Jason, That worked perfectly.
     
    Jason Rhymes, Sep 14, 2004
    #5
  6. Glad I could help.
     
    Jason Piercey, Sep 14, 2004
    #6
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.